*# generic template to dump all GiD data information related to mesh
--- GENERAL DATA ---
*gendata

--- USED MATERIALS ---
*loop materials
*matnum *matprop(0) *matprop
*end materials

--- LAYERS ---
*loop layers
*layernum *layername *layercolorrgb
*end layers

--- LOCAL AXES ---
*loop localaxes
local axe number:*localaxesnum
x'=*localaxesdef(1) *localaxesdef(4)  *localaxesdef(7)
y'=*localaxesdef(2) *localaxesdef(5)  *localaxesdef(8)
z'=*localaxesdef(3) *localaxesdef(6)  *localaxesdef(9)
center=*localaxesdefcenter
*end localaxes

*loop intervals
--- INTERVAL NUMBER *loopvar ---

--- INTERVAL DATA ---
*intvdata

--- CONDITIONS OVER NODES ---
*loop conditions nodes
*if(condnumentities)
condition name=*condname
*loop nodes onlyincond
*nodesnum *cond
*if(condhaslocalaxes)
localaxe=*localaxesdef(eulerangles)
*endif
*end nodes
*endif
*end conditions

--- CONDITIONS OVER BODY ELEMENTS ---
*loop conditions bodyelements
*if(condnumentities)
condition name=*condname
*loop elems onlyincond
*elemsnum *cond
*if(condhaslocalaxes)
localaxe=*localaxesdef(eulerangles)
*endif
*end elems
*endif
*end conditions

--- CONDITIONS OVER FACE ELEMENTS ---
*loop conditions faceelements
*if(condnumentities)
condition name=*condname
*loop elems onlyincond
*elemsnum *condelemface *cond
*if(condhaslocalaxes)
localaxe=*localaxesdef(eulerangles)
*endif
*end elems
*endif
*end conditions

--- CONDITIONS OVER LAYERS ---
*loop conditions layers
*if(condnumentities)
condition name=*condname
*loop layers onlyincond
*layernum *layername *cond
*end elems
*endif
*end conditions

*end intervals

--- NODES ---
*loop nodes
*nodesnum *nodeslayernum *nodescoord
*end nodes

--- ELEMENTS ---
*if(nelem(linear))
LINEAR
*set elems(linear)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(triangle))
TRIANGLE
*set elems(triangle)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(quadrilateral))
QUADRILATERAL
*set elems(quadrilateral)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(circle))
CIRCLE
*set elems(circle)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec *elemsradius *elemsnormal
*end elems
*endif

*if(nelem(tetrahedra))
TETRAHEDRA
*set elems(tetrahedra)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(hexahedra))
HEXAHEDRA
*set elems(hexahedra)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(prism))
PRISM
*set elems(prism)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec *elemsradius
*end elems
*endif

*if(nelem(pyramid))
PYRAMID
*set elems(prism)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(sphere))
SPHERE
*set elems(prism)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif

*if(nelem(point))
POINT
*set elems(point)
*loop elems
*elemsnum *elemsmat *elemslayernum *elemsconec
*end elems
*endif
