*#FILE_EXTENSION .stl
*realformat "%15.9g"
*intformat "%8i"
*# Interface GID-STL to export triangle closed mesh
*# Written by Kike III - October 2001
*if(nelem(Triangle)==0)
*MessageBox Error: Must create a mesh of triangles.
*endif
*if(nelem(Linear) || nelem(Quadrilateral) || nelem(Tetrahedra) || nelem(Hexahedra) || nelem(Prism) || nelem(Sphere) || nelem(Circle))
*WarningBox Warning: Exist Bad elements. A STL file is a collection of triangles bounding a volume.
*endif
*if(isquadratic)
*WarningBox Warning: Quadratic triangles are written as linear.
*endif
solid GiD
*set elems(triangle)
*loop elems
  facet normal *ElemsNormal(1) *ElemsNormal(2) *ElemsNormal(3)  
    outer loop
      vertex *NodesCoord(1,1) *NodesCoord(1,2) *NodesCoord(1,3)
      vertex *NodesCoord(2,1) *NodesCoord(2,2) *NodesCoord(2,3)
      vertex *NodesCoord(3,1) *NodesCoord(3,2) *NodesCoord(3,3)
    endloop
  endfacet
*end elems
endsolid GiD
